Add Engage list members
curl --request POST \
--url https://app.forecastable.com/api/v1/engage/lists/{listId}/members \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"contactIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"externalContacts": [
{
"email": "<string>",
"fullName": "<string>",
"currentTitle": "<string>",
"linkedinUrl": "<string>",
"accountName": "<string>"
}
]
}
'import requests
url = "https://app.forecastable.com/api/v1/engage/lists/{listId}/members"
payload = {
"contactIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"externalContacts": [
{
"email": "<string>",
"fullName": "<string>",
"currentTitle": "<string>",
"linkedinUrl": "<string>",
"accountName": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
contactIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
externalContacts: [
{
email: '<string>',
fullName: '<string>',
currentTitle: '<string>',
linkedinUrl: '<string>',
accountName: '<string>'
}
]
})
};
fetch('https://app.forecastable.com/api/v1/engage/lists/{listId}/members', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"members": [
{
"id": "<string>",
"contactId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "<string>",
"fullName": "<string>",
"currentTitle": "<string>",
"linkedinUrl": "<string>",
"accountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"accountName": "<string>"
}
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}Engage Lists
Add Engage list members
Add contact or external members to a manual list. Rejected for dynamic lists.
POST
/
engage
/
lists
/
{listId}
/
members
Add Engage list members
Authorizations
Partner OAuth2 flows for integration API access tokens. Claude MCP custom connectors use authorization code with PKCE S256.
Headers
Active organization UUID. Required for authenticated requests when the principal has access to multiple organizations.
Pattern:
^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-5][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}$Path Parameters
Pattern:
^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-5][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}$Query Parameters
Read-only convenience alias for X-Organization-Id. Legacy subscriberId query param is also accepted.
Pattern:
^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-5][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}$Body
application/json
Response
Added members.
Show child attributes
Show child attributes
Was this page helpful?
⌘I